package com.simplecleaner.app.ui.clean

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.simplecleaner.app.R
import com.simplecleaner.app.business.ads.AdsMgr
import com.simplecleaner.app.business.ads.NativeParentView


class CleanNativeFragment : Fragment() {



    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_clean_native, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val flAd = view.findViewById<NativeParentView>(R.id.flAd)
        AdsMgr.showNative(flAd, R.layout.layout_admob_native_custom2) {
            flAd.visibility = View.VISIBLE
        }
    }
}